Download it now!
Bug 87272 - Image in the footer jumps to the header
Summary: Image in the footer jumps to the header
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Header-Footer Writer-Images
  Show dependency treegraph
 
Reported: 2014-12-12 21:07 UTC by Octavio Alvarez
Modified: 2018-10-24 02:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Octavio Alvarez 2014-12-12 21:07:34 UTC
Steps to reproduce:

1. Use GIMP or another bitmap editor to create a 2000 x 400 image. Contents of the image are unimportant, but try a color other than white so you can see it in the document.
2. Export the file as a PNG file, name it whatever you want.
3. Create a new Writer document.
4. Insert » Header » Default style
5. Insert » Footer » Default style
6. Scroll to the footer and double-click on it. You should be editing the footer now.
7. Insert the file using Insert » Image » From file... » Choose your image. The image should be inserted now and selected with its 8 green corners showing.
8. Take the upper-right corner and do a horizontal drag to the right, exceeding the page limits (the UI will limit you to the page).


Expected behavior:

The image should be enlarged accordingly.


Current behavior:

The image is enlarged but is moved to the header.


Context:
LibreOffice 4.3.4.1 on Ubuntu 14.04.1 LTS installed from the LibreOffice PPA. Using Xfce.
Comment 1 anthonyds12 2014-12-13 13:05:42 UTC
I can confirm this bug.
I've recreated it with LibreOffice version 4.3.4.1 on OS X 10.10.1.
I'm changing the status to NEW.
Comment 2 Cor Nouws 2014-12-21 20:19:10 UTC
Hi all,

Does anyone know if this worked in a previous version?
Comment 3 Octavio Alvarez 2015-02-25 06:03:24 UTC
Apparently nobody knows if this worked in a previous version. I'm changing this back to NEW.
Comment 4 tommy27 2016-04-16 07:24:44 UTC Comment hidden (obsolete)
Comment 5 Octavio Alvarez 2016-04-19 23:12:03 UTC
Still present in LibreOffice 5.1.1.2. Tested under Ubuntu 14.04 LTS.
Comment 6 Cor Nouws 2016-05-09 08:34:53 UTC
same in 3.4.0
Comment 7 QA Administrators 2017-05-22 13:39:25 UTC Comment hidden (obsolete)
Comment 8 Cor Nouws 2017-08-14 06:34:02 UTC
still a problem in Version: 6.0.0.0.alpha0+
Build ID: 368b583b992f2e9cad46c2362c9529a07c36d7a9
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-10_02:55:46
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 9 QA Administrators 2018-10-24 02:57:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug